Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.maven
Enum MavenDependency.Scope

    java.lang.Object
      java.lang.Enum<MavenDependency.Scope>
          org.modeshape.maven.MavenDependency.Scope

All Implemented Interfaces:
  Serializable, Comparable<MavenDependency.Scope>

Enclosing class:
  MavenDependency

    public static enum MavenDependency.Scope

extends Enum<MavenDependency.Scope>

The scope of the dependency - `compile`, `runtime`, `test`, `system`, and `provided`. Used to calculate the various classpaths used for compilation, testing, and so on. It also assists in determining which artifacts to include in a distribution of this project. For more information, see the dependency mechanism.

Enum Constant Summary
`COMPILE`
`PROVIDED`
`RUNTIME`
`SYSTEM`
`TEST`

Method Summary
`static MavenDependency.Scope` | `getDefault()`
`static EnumSet<MavenDependency.Scope>` | `getRuntimeScopes()`
`String` | `getText()`
`static MavenDependency.Scope` | `valueByText(String suffix, boolean useDefault)`
`static MavenDependency.Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MavenDependency.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPILE

    public static final MavenDependency.Scope COMPILE

### TEST

    public static final MavenDependency.Scope TEST

### PROVIDED

    public static final MavenDependency.Scope PROVIDED

### SYSTEM

    public static final MavenDependency.Scope SYSTEM

### RUNTIME

    public static final MavenDependency.Scope RUNTIME

Method Detail

### values

    public static MavenDependency.Scope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MavenDependency.Scope c : MavenDependency.Scope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MavenDependency.Scope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getText

    public String getText()

### valueByText

    public static MavenDependency.Scope valueByText(String suffix,
                                                    boolean useDefault)

### getDefault

    public static MavenDependency.Scope getDefault()

### getRuntimeScopes

    public static EnumSet<MavenDependency.Scope> getRuntimeScopes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.